Class Media

Declaration :

- C++ : class Media : public Asset

Directly inherited by : Clip CompoundMedia Unknown

key abstraction: media-like assets

Artifact : media

Operation createClip

Declaration :

- Uml : + createClip() : Clip
- C++ : public: Clip createClip ()

create a (possibly compound) Clip refering to this media, ready to be added to the EDL.

Operation howtoProc

Declaration :

- Uml : + howtoProc() : ProcPatt
- C++ : public: ProcPatt howtoProc ()

@return descriptor how to build a render pipeline corresponding to this media

All public operations : createClip , enable , getDependant , getParents , howtoProc , isActive